#ifndef TVIEWCB_H
#define TVIEWCB_H

#include <gtk/gtk.h>
#include "tview.h"


extern gint TViewDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern gint TViewTextEventCB(GtkWidget *widget, GdkEvent *event, gpointer data);
extern void TViewChangedCB(GtkEditable *editable, gpointer data);
extern void TViewCutCB(GtkWidget *widget, gpointer data);
extern void TViewCopyCB(GtkWidget *widget, gpointer data);
extern void TViewPasteCB(GtkWidget *widget, gpointer data);
extern void TViewDeleteTextCB(GtkWidget *widget, gpointer data);
extern void TViewSelectAllCB(GtkWidget *widget, gpointer data);
extern void TViewUnselectAllCB(GtkWidget *widget, gpointer data);


#endif	/* TVIEWCB_H */
